#include <stdio.h>

int main() {
    int n;
    int i,j;
    scanf("%d", &n);

    int arr[20];
    for (i = 0; i < n; i++) {
        scanf("%d", &arr[i]);
    }

    int count = 1;
    for (i = 0; i < n; i++) {
        if (arr[i] != -9999) {
            for (j = i + 1; j < n; j++) {
                if (arr[j] == arr[i]) {
                    arr[j] = -9999;
                }
            }
            printf("%d ", count);
            count++;
        }
    }

    printf("\n");

    return 0;
}
